import { Compiler } from './compiler';
import { Mat3ExpressionNode, Mat4ExpressionNode, Vec2ExpressionNode, Vec3ExpressionNode, Vec4ExpressionNode } from './expressions';
import { Mat4Node } from './types';
import { AttributeVec4Node } from './attributes';
import { VaryingVec3Node, VaryingVec2Node } from './varying';
export declare const attributes: {
    tangent: AttributeVec4Node;
    position: Vec3ExpressionNode;
    normal: Vec3ExpressionNode;
    uv: Vec2ExpressionNode;
};
export declare const varyingAttributes: {
    position: VaryingVec3Node;
    normal: VaryingVec3Node;
    uv: VaryingVec2Node;
};
declare class InstanceMatrixNode extends Mat4Node {
    compile(c: Compiler): {
        chunk: string;
        out: string;
    };
}
export declare const uniforms: {
    instanceMatrix: InstanceMatrixNode;
    modelMatrix: Mat4ExpressionNode;
    modelViewMatrix: Mat4ExpressionNode;
    projectionMatrix: Mat4ExpressionNode;
    viewMatrix: Mat4ExpressionNode;
    normalMatrix: Mat3ExpressionNode;
    cameraPosition: Vec3ExpressionNode;
};
export declare const defaultVertPositionNode: Vec4ExpressionNode;
export {};
