import { DirectionalLight, HemisphereLight, PointLight, SpotLight } from '../lights';
import { BooleanNode, FloatNode, Vec3Node } from '../types';
export declare const uniformCameraNear: import("../uniforms").UniformFloatNode;
export declare const uniformShadowFar: import("../uniforms").UniformFloatNode;
export declare type Geometry = {
    readonly position: Vec3Node;
    readonly normal: Vec3Node;
    readonly viewDir: Vec3Node;
};
export declare type IncidentLight = {
    readonly color: Vec3Node;
    readonly direction: Vec3Node;
    readonly visible: BooleanNode;
};
export declare function getDistanceAttenuation(lightDistance: FloatNode, cutoffDistance: FloatNode, decayExponent: FloatNode): FloatNode;
export declare function getPointLightInfo(pointLight: PointLight, geometry: Geometry): IncidentLight;
export declare function getSpotLightInfo(spotLight: SpotLight, geometry: Geometry): IncidentLight;
export declare function getDirectionalLightInfo(directionalLight: DirectionalLight, geometry: Geometry): {
    color: import("../types").RgbNode;
    direction: Vec3Node;
    visible: BooleanNode;
};
export declare function getHemisphereLightIrradiance(hemiLight: HemisphereLight, normal: Vec3Node): Vec3Node;
export declare const RECIPROCAL_PI: FloatNode;
export declare function BRDF_Lambert(diffuse: Vec3Node): Vec3Node;
